%define name enchant
%define ver 1.1.2

Name:	 %name
Version: %ver
Release: alt1

Summary: An Enchanting Spell Checking Program
License: LGPL
Group:	 Text tools

URL:	 http://www.abisource.com/
Source:	 ftp://ftp.gnome.org/pub/GNOME/unstable/sources/libenchant/%{name}-%{version}.tar.gz
Source1: %name.alternatives 
Source2: %name-spell.bz2

PreReq: alternatives >= 0.0.6
Requires:  lib%name
BuildRequires: glib2-devel >= 2.0.0
BuildRequires: libalternatives-devel

# Automatically added by buildreq on Thu Nov 20 2003
BuildRequires: aspell gcc3.2-c++ libaspell-devel libstdc++-devel pkgconfig
Provides: ispell
Provides: /usr/bin/spell

%description
This package contained simple programs that wraps other spell checking backends and Ispell compatible script. 

%package -n lib%name
Summary: An Enchanting Spell Checking Library
Group: System/Libraries
Requires:  glib2 >= 2.0.0

%description -n lib%name
Libraries that wraps other spell checking backends.

%package -n lib%name-devel
Summary: Support files necessary to compile applications with libenchant.
Group: Development/C++
Requires: lib%name

%description -n lib%name-devel
Libraries, headers, and support files necessary to compile applications using libenchant.

%package -n lib%name-devel-static
Summary: Static library needed to build static applications with lib%name.
Group: Development/C++
Requires: lib%name-devel

%description -n lib%name-devel-static
Static library needed to build statically linked applications with %name.

%prep
%setup -q -n %name-%ver

%build
if [ ! -f configure ]; then
CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%{_prefix}
fi
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
--mandir=%_mandir \
--with-ispell-dir=/usr/lib/ispell \
%{?_without_ispell:--disable-ispell} \
%{?_without_myspell:--disable-myspell} \
%{?_without_aspell:--disable-aspell} \
%{?_with_uspell:--enable-uspell}


if [ "$SMP" != "" ]; then
  (%__make "MAKE=%__make -k -j $SMP"; exit 0)
  %__make
else
%__make
fi

%install
%make install DESTDIR=$RPM_BUILD_ROOT install
mv tests/ispell $RPM_BUILD_ROOT%_bindir/%name-ispell
install -d $RPM_BUILD_ROOT%_altdir
install -p -m 644 %SOURCE1 $RPM_BUILD_ROOT%_altdir/%name
bzcat %SOURCE2 > $RPM_BUILD_ROOT%_bindir/%name-spell
chmod 0755 $RPM_BUILD_ROOT%_bindir/%name-spell

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%post 
%register_alternatives %name -- ispell

%preun
%unregister_alternatives %name

%files
%_altdir/%name
%_bindir/*
%_man1dir/enchant.1.gz

%files -n lib%name
%doc AUTHORS COPYING.LIB README
%_libdir/*.so*
%dir %_libdir/enchant
%{!?_without_ispell:%_libdir/enchant/*ispell.so*}
%{!?_without_myspell:%_libdir/enchant/*myspell.so*}
%{!?_without_aspell:%_libdir/enchant/*aspell.so*}
%{?_with_uspell:%_libdir/enchant/*uspell.so*}

%files -n lib%name-devel
%_libdir/pkgconfig/enchant.pc
%dir %_includedir/enchant/
%_includedir/enchant/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%{!?_without_ispell:%_libdir/enchant/*ispell.a}
%{!?_without_myspell:%_libdir/enchant/*myspell.a}
%{!?_without_aspell:%_libdir/enchant/*aspell.a}
%{?_with_uspell:%_libdir/enchant/*uspell.a}
%endif

%changelog
* Thu Dec 11 2003 Vital Khilko <vk@altlinux.ru> 1.1.2-alt1
- new version 
- removed .la files
- build without *-devel-static

* Mon Nov 24 2003 Vital Khilko <vk@altlinux.ru> 1.1.1-alt1
- adapted for ALT Linux
- added alternatives for enchant-ispell script

* Sun Aug 24 2003 Rui Miguel Seabra <rms@1407.org>
- update spec to current stat of affairs
- building from source rpm is now aware of --with and --without flags:
- --without aspell --without ispell --without myspell --with uspell

* Wed Jul 16 2003 Rui Miguel Seabra <rms@1407.org>
- take advantage of environment rpm macros

* Sun Jul 13 2003 Dom Lachowicz <cinamod@hotmail.com>
- Initial version
